# SDL Visual Test: SDLVisualTest_SUTOption Struct Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
SDLVisualTest_SUTOption Struct Reference

`#include <SDL_visualtest_sut_configparser.h>`

## Data Fields

char | name [MAX_SUTOPTION_NAME_LEN]
char ** | categories
SDLVisualTest_SUTOptionType | type
SDL_bool | required
union {
SDLVisualTest_SUTIntRange range
char ** enum_values
} | data

## Detailed Description

Struct that defines an option to be passed to the SUT.

## Field Documentation

char** categories

An array of categories that the option belongs to. The last element is NULL.

union { ... } data

extra data that is required for certain types

char** enum_values

    This field is valid only for enum type options; it holds the list of values

that the option can take. The last element is NULL

char name[MAX_SUTOPTION_NAME_LEN]

The name of the option. This is what you would pass in the command line along with two leading hyphens.

SDLVisualTest_SUTIntRange range

    This field is valid only for integer type options; it defines the

valid range for such an option

SDL_bool required

Whether the option is required or not

SDLVisualTest_SUTOptionType type

Type of the option - integer, boolean, etc.

The documentation for this struct was generated from the following file:

- C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_sut_configparser.h